Skip to main content

Dashboard

View as Markdown

Dashboard object

dashboard_idstring

UUID identifying the dashboard.

Example: 04aab30f99ea444490c10c85852f216c

display_namestring

The display name of the dashboard.

Example: Monthly Traffic Report

pathstring

The workspace path of the dashboard asset, including the file name. Exported dashboards always have the file extension .lvdash.json. This field is excluded in List Dashboards responses.

Example: /path/to/dir/Monthly Traffic Report.lvdash.json

create_timestring

The timestamp of when the dashboard was created.

update_timestring

The timestamp of when the dashboard was last updated by the user. This field is excluded in List Dashboards responses.

warehouse_idstring

The warehouse ID used to run the dashboard.

Example: 47bb1c472649e711

etagstring

The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard has not been modified since the last read. This field is excluded in List Dashboards responses.

Example: 80611980

serialized_dashboardstring

The contents of the dashboard in serialized string form. This field is excluded in List Dashboards responses. Use the get dashboard API to retrieve an example response, which includes the serialized_dashboard field. This field provides the structure of the JSON string that represents the dashboard's layout and components.

lifecycle_statestring

The state of the dashboard resource. Used for tracking trashed status.

Values: ACTIVE, TRASHED

parent_pathstring

The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. This field is excluded in List Dashboards responses.

Example: /path/to/dir

Get GA

GET /api/2.0/lakeview/dashboards/{dashboard_id}

Get a draft dashboard.

API scopes: dashboards

Parameters

dashboard_idstringpath

UUID identifying the dashboard.

Response

Returns the Dashboard object.

List GA

GET /api/2.0/lakeview/dashboards

List dashboards.

API scopes: dashboards

Parameters

page_sizeint32query

The number of dashboards to return per page.

Default: 20

Constraints: [ 1 .. 1000 ]

page_tokenstringquery

A page token, received from a previous ListDashboards call. This token can be used to retrieve the subsequent page.

Example: EAI=

show_trashedbooleanquery

The flag to include dashboards located in the trash. If unspecified, only active dashboards will be returned.

Default: false

viewstringquery

DASHBOARD_VIEW_BASIC only includes summary metadata from the dashboard.

Default: DASHBOARD_VIEW_BASIC

Values: DASHBOARD_VIEW_BASIC

Response

Returns a list of Dashboard objects.

Create GA

POST /api/2.0/lakeview/dashboards

Create a draft dashboard.

API scopes: dashboards

Parameters

dataset_catalogstringquery

Sets the default catalog for all datasets in this dashboard. Does not impact table references that use fully qualified catalog names (ex: samples.nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.

Example: samples

dataset_schemastringquery

Sets the default schema for all datasets in this dashboard. Does not impact table references that use fully qualified schema names (ex: nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.

Example: nyctaxi

Request body

dashboardobject
Show child attributesHide child attributes
dashboard_idstring

UUID identifying the dashboard.

Example: 04aab30f99ea444490c10c85852f216c

display_namestring

The display name of the dashboard.

Example: Monthly Traffic Report

pathstring

The workspace path of the dashboard asset, including the file name. Exported dashboards always have the file extension .lvdash.json. This field is excluded in List Dashboards responses.

Example: /path/to/dir/Monthly Traffic Report.lvdash.json

create_timestring

The timestamp of when the dashboard was created.

update_timestring

The timestamp of when the dashboard was last updated by the user. This field is excluded in List Dashboards responses.

warehouse_idstring

The warehouse ID used to run the dashboard.

Example: 47bb1c472649e711

etagstring

The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard has not been modified since the last read. This field is excluded in List Dashboards responses.

Example: 80611980

serialized_dashboardstring

The contents of the dashboard in serialized string form. This field is excluded in List Dashboards responses. Use the get dashboard API to retrieve an example response, which includes the serialized_dashboard field. This field provides the structure of the JSON string that represents the dashboard's layout and components.

lifecycle_statestring

The state of the dashboard resource. Used for tracking trashed status.

Values: ACTIVE, TRASHED

parent_pathstring

The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. This field is excluded in List Dashboards responses.

Example: /path/to/dir

Response

Returns the Dashboard object.

Update GA

PATCH /api/2.0/lakeview/dashboards/{dashboard.dashboard_id}

Update a draft dashboard.

API scopes: dashboards

Parameters

dashboardobjectpath
Show child attributesHide child attributes
dashboard_idstring

UUID identifying the dashboard.

Example: 04aab30f99ea444490c10c85852f216c

display_namestring

The display name of the dashboard.

Example: Monthly Traffic Report

pathstring

The workspace path of the dashboard asset, including the file name. Exported dashboards always have the file extension .lvdash.json. This field is excluded in List Dashboards responses.

Example: /path/to/dir/Monthly Traffic Report.lvdash.json

create_timestring

The timestamp of when the dashboard was created.

update_timestring

The timestamp of when the dashboard was last updated by the user. This field is excluded in List Dashboards responses.

warehouse_idstring

The warehouse ID used to run the dashboard.

Example: 47bb1c472649e711

etagstring

The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard has not been modified since the last read. This field is excluded in List Dashboards responses.

Example: 80611980

serialized_dashboardstring

The contents of the dashboard in serialized string form. This field is excluded in List Dashboards responses. Use the get dashboard API to retrieve an example response, which includes the serialized_dashboard field. This field provides the structure of the JSON string that represents the dashboard's layout and components.

lifecycle_statestring

The state of the dashboard resource. Used for tracking trashed status.

Values: ACTIVE, TRASHED

parent_pathstring

The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. This field is excluded in List Dashboards responses.

Example: /path/to/dir

dataset_catalogstringquery

Sets the default catalog for all datasets in this dashboard. Does not impact table references that use fully qualified catalog names (ex: samples.nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.

Example: samples

dataset_schemastringquery

Sets the default schema for all datasets in this dashboard. Does not impact table references that use fully qualified schema names (ex: nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.

Example: nyctaxi

Response

Returns the Dashboard object.

Delete GA

DELETE /api/2.0/lakeview/dashboards/{dashboard_id}

Trash a dashboard.

API scopes: dashboards

Parameters

dashboard_idstringpath

UUID identifying the dashboard.

Migrate Dashboard GA

POST /api/2.0/lakeview/dashboards/migrate

Migrates a classic SQL dashboard to Lakeview.

API scopes: dashboards

Request body

source_dashboard_idstring

UUID of the dashboard to be migrated.

Example: 4e443c27-9f61-4f2e-a12d-ea5668460bf1

display_namestring

Display name for the new Lakeview dashboard.

Example: Monthly Traffic Report

parent_pathstring

The workspace path of the folder to contain the migrated Lakeview dashboard.

Example: /path/to/dir

update_parameter_syntaxboolean

Flag to indicate if mustache parameter syntax ({{ param }}) should be auto-updated to named syntax (:param) when converting datasets in the dashboard.

Default: true

Response

Returns the Dashboard object.

Publish Dashboard GA

POST /api/2.0/lakeview/dashboards/{dashboard_id}/published

Publish the current draft dashboard.

API scopes: dashboards

Parameters

dashboard_idstringpath

UUID identifying the dashboard to be published.

Request body

embed_credentialsboolean

Flag to indicate if the publisher's credentials should be embedded in the published dashboard. These embedded credentials will be used to execute the published dashboard's queries.

Default: true

warehouse_idstring

The ID of the warehouse that can be used to override the warehouse which was set in the draft.

Response

display_namestring

The display name of the published dashboard.

Example: Monthly Traffic Report

warehouse_idstring

The warehouse ID used to run the published dashboard.

Example: 47bb1c472649e711

embed_credentialsboolean

Indicates whether credentials are embedded in the published dashboard.

revision_create_timestring

The timestamp of when the published dashboard was last revised.